<template>
  <div>
    <filter-panel @setDirection="setDirection"/>
    <component :is="component"/>
  </div>
</template>

<script>
  import FilterPanel from './FilterPanel/index';
  import DataPanel from './DataPanel';
  import PersonalDirections from './PersonalDirections';
  import {mapGetters, mapActions} from 'vuex';

  export default {
    name: "Documents",
    components: {
      FilterPanel,
      DataPanel,
      PersonalDirections
    },
    data() {
      return {
        direction: 'all_directions'
      }
    },
    computed: {
      ...mapGetters({
        participantUuid: 'user/participantUuid'
      }),
      component() {
        return this.direction === 'all_directions' ? DataPanel : PersonalDirections
      }
    },
    mounted() {
      this.getListDocs(this.participantUuid);
    },
    methods: {
      ...mapActions({
        getListDocs: 'clicarSettings/getListDocs'
      }),
      setDirection(direction) {
        this.direction = direction
      }
    }
  }
</script>
